REPLAYHEAP(1)

NAME
replayheap - replay a recorded Modula-3 heap activity

SYNTAX
replayheap [-showheap pgm] file

DESCRIPTION
The replayheap program replays the recorded trace of the heap activity of a Modula-3 program contained in file. Typically, the trace is recorded by running the Modula-3 program of interest with the option @M3showheap=recordheap. This leaves the trace in the file m3heap.trace, which can then be replayed with the command replayheap m3heap.trace When replayheap starts, it creates a window with buttons. Each button corresponds to some event in the heap activity trace. Clicking a button will replay all the events until the next occurrence of the event.

OPTIONS

-showheap pgm
    Use pgm instead as showheap to display the heap.

SEE ALSO
showheap(1) recordheap(1)

AUTHOR OF OBJECT
Eric Muller

AUTHOR OF DOCUMENTATION
Eric Muller